net.snowflake.client.jdbc

## Class MatDesc

- java.lang.Object
- - net.snowflake.client.jdbc.MatDesc

    public class MatDesc
    extends Object

A class to handle S3 material descriptor metadata entries (x-amz-matdesc).

Author:
  ffunke

### Field Summary

Fields
`static int` `DEFAULT_KEY_SIZE` If key size is not explicitly specified, assume DEFAULT_KEY_SIZE
`static String` `KEY_SIZE` MatDesc key for the length of the key in bits
`static String` `QUERY_ID` MatDesc key for query ID
`static String` `SMK_ID` MatDesc key for stage master key ID

### Constructor Summary

Constructors
Constructor and Description
`MatDesc(long smkId, String queryId)`
`MatDesc(long smkId, String queryId, int keySize)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getKeySize()`
`String` `getQueryId()`
`long` `getSmkId()`
`static MatDesc` `parse(String matdesc)` Try to parse the material descriptor string.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### QUERY_ID

    public static String QUERY_ID

MatDesc key for query ID

#### SMK_ID

    public static String SMK_ID

MatDesc key for stage master key ID

#### KEY_SIZE

    public static String KEY_SIZE

MatDesc key for the length of the key in bits

#### DEFAULT_KEY_SIZE

    public static int DEFAULT_KEY_SIZE

If key size is not explicitly specified, assume DEFAULT_KEY_SIZE

### Constructor Detail

#### MatDesc

    public MatDesc(long smkId,
                   String queryId,
                   int keySize)

#### MatDesc

    public MatDesc(long smkId,
                   String queryId)

### Method Detail

#### getSmkId

    public long getSmkId()

#### getQueryId

    public String getQueryId()

#### getKeySize

    public int getKeySize()

#### parse

    public static MatDesc parse(String matdesc)

Try to parse the material descriptor string.

Parameters:
  `matdesc` - string
Returns:
  The material description or null

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`